package cz.cuni.mff.been.benchmarkmanager.plugins.xampler;

import java.text.DateFormat;
import java.util.Date;

import cz.cuni.mff.been.benchmarkmanager.ExperimentMetadata;
import cz.cuni.mff.been.benchmarkmanager.plugins.TimestampBasedVersionProvider;

public class XamplerVersionProvider extends TimestampBasedVersionProvider {

	private static final DateFormat DATE_FORMATTER = DateFormat.getDateTimeInstance();
	@Override
	public ExperimentMetadata handleTimestamp(long timestamp) throws Exception {
		ExperimentMetadata newExp = duplicateModel();
		newExp.setName(newExp.getProperty("omniORB" + "-" + DATE_FORMATTER.format(new Date(timestamp))));
		newExp.setProperty("cvs.date",String.valueOf(timestamp));
		newExp.setProperty("software.version", String.valueOf(timestamp));
		return newExp;
	}
}
